local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = LibStub("AceLocale-3.0"):NewLocale("GarrisonJukeBox", "enUS", true, debug)

--[[ADDON]]
L["ADDON_NAME"] = "GarrisonJukeBox"
L["ADDON_LOADED"] = "loaded!"
L["ADDON_AUTHOR"] = "Author: "
L["ADDON_RELEASE"] = "Released: "

-- misc messages
L["PLAYING"] = "Playing: "
L["NOW_PLAYING"] = "Now Playing: "
L["EXP_WCEVENTS"] = "Warcraft Events"

--[[OPTIONS]]
L["OPT_JUKEBOX_OPTIONS"] = "Garrison JukeBox Options"

-- groups
L["OPT_JUKEBOX"] = "JukeBox"
L["OPT_JUKEBOX_DESC"] = "Configure your jukebox."
L["OPT_AUDIO"] = "Audio"
L["OPT_AUDIO_DESC"] = "Audio controls."
L["OPT_ABOUT"] = "About"

-- jukebox group
L["HDR_SELECTION"] = "Music Selection"
L["TOG_SHUFFLE"] = "Shuffle"
L["TOG_SHUFFLE_DESC"] = "Randomly plays the music from your jukebox."
L["SEL_EXPANSION"] = "Expansion/Category"
L["SEL_EXPANSION_DESC"] = "Select the expansion or category."
L["SEL_MUSIC"] = "Music"
L["SEL_MUSIC_DESC"] = "Select the music."
L["SEL_JUKEBOX"] = "Your JukeBox"
L["SEL_JUKEBOX_DESC"] = "Your custom music jukebox."
L["CMD_ADD"] = "Add"
L["CMD_ADD_DESC"] = "Adds the music to your jukebox list."
L["OPT_PLAYSAMPLE"] = "Play Sample"
L["OPT_PLAYSAMPLE_DESC"] = "Plays a sample of the selected music."
L["CMD_REMOVE"] = "Remove"
L["CMD_REMOVE_DESC"] = "Removes the selected music from your jukebox list."
L["CMD_REMOVEALL"] = "Remove All"
L["CMD_REMOVEALL_DESC"] = "Removes all music from your jukebox list."
L["HDR_ZONES"] = "Zones"
L["SEL_ZONE"] = "Zone"
L["SEL_ZONE_DESC"] = "Select a zone."
L["CMD_ADDZONE_DESC"] = "Adds a zone to the list of zones to play your jukebox in."

-- audio group
L["INP_WOWAUDIOFILE"] = "WoW embedded audio file name"
L["CMD_PLAY"] = "Play"
L["CMD_STOP"] = "Stop"
L["CMD_NEXT"] = "Next"
L["CMD_PREV"] = "Prev"
L["TOG_SLASHES"] = "Replace double-slashes"
L["TOG_SLASHES_DESC"] = "Replace double-slashes in the string provided with single slashes; just in case you're copying from source code or script commands."
L["HDR_AUDIOPLAYER"] = "Audio Player"

-- about group
L["ABOUT_SLASHCMD_TITLE"] = "Slash Commands (/gjb)"
L["ABOUT_SLASHCMD_NEXT"] = "- next: Plays the next song in your jukebox; if set to 'shuffle', will simply play another random song."
L["ABOUT_SLASHCMD_PLAY"] = "- play: Stops original zone music and starts playback of your jukebox items."
L["ABOUT_SLASHCMD_STOP"] = "- stop: Stops playback and starts original zone music."
L["ABOUT_SLASHCMD_PREV"] = "- prev: Plays the previous song in your jukebox; if set to 'shuffle', will simply play another random song."

-- music titles
L["TITLE_MAIN_THEME"] = "Main Theme"
L["TITLE_EVILFOREST_NIGHT"] = "Evil Forest (night)"
L["TITLE_SUNWELL_FLYBY"] = "Sunwell Flyby"
L["TITLE_ESCDURNHOLDE"] = "Escape from Durholde"
L["TITLE_HYJAL"] = "Hyjal"
L["TITLE_NIGHTELVES"] = "Nightsong"
L["TITLE_WANDERINGISLE"] = "Wandering Isle"
L["TITLE_VALLEY4WINDS"] = "Valley of the Four Winds"
L["TITLE_SONG_LIULANG"] = "Song of Liulang"
L["TITLE_SERPENTRACE"] = "Serpent Race"
L["TITLE_GINSUVALOR"] = "Ginsu Valor"
L["TITLE_WAYOTMONK"] = "Way of the Monk"
L["TITLE_POWEROTHORDE"] = "Power of the Horde"
L["TITLE_FIREFESTIVAL"] = "Fire Festival"
L["TITLE_ARGENTTOURNY"] = "Argent Tournament"
L["TITLE_MOLTENCORE"] = "Molten Core"
L["TITLE_ENCHANTEDFOREST"] = "Enchanted Forest (Ashenvale)"
L["TITLE_LAMENTOTHIGHBORNE"] = "Lament of the Highborne"
L["TITLE_SHORELARAN"] = "Shorel'Aran"
L["TITLE_STORMPEAKS"] = "Storm Peaks"
L["TITLE_AFTERMATH"] = "Aftermath"
L["TITLE_CORRUPTED_DRAGONBLIGHT"] = "Corrupted Dragonblight"
L["TITLE_DRAGONSOUL"] = "Dragonsoul"
L["TITLE_FANGS_OT_FATHER"] = "Fangs of the Father"
L["TITLE_DS_GUNSHIP"] = "Gunship"
L["TITLE_NIGHTWALK"] = "Nightwalk"
L["TITLE_THRALLBATTLE"] = "Thrall Battle"
L["TITLE_TWILIGHTSHAMMER"] = "Twilight's Hammer"
L["TITLE_WARSHIPS"] = "Warships"
L["TITLE_WELLOFETERNITY"] = "Well of Eternity"
L["TITLE_ZINAZSHARI"] = "Zin-Azshari"
L["TITLE_RAGE_OT_FIRELANDS"] = "Rage of the Firelands"
L["TITLE_ALLIANCE_ONE_HERO"] = "Alliance One Hero"
L["TITLE_DARNASSUS"] = "Darnassus"
L["TITLE_GNOMERAGON"] = "Gnomeragon"
L["TITLE_IRONFORGE"] = "Ironforge"
L["TITLE_ORGRIMMAR1"] = "Orgrimmar 1"
L["TITLE_ORGRIMMAR2"] = "Orgrimmar 2"